classification
Title: Leaked file in test_iterparse in test_xml_etree
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eli.bendersky, miss-islington, scoder, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-06-03 16:15 by serhiy.storchaka, last changed 2018-06-05 16:54 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7358 merged serhiy.storchaka, 2018-06-03 17:09
PR 7359 merged miss-islington, 2018-06-03 17:57
PR 7360 closed miss-islington, 2018-06-03 17:58
PR 7363 merged miss-islington, 2018-06-03 20:05
Messages (4)
msg318568 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 16:15
$ ./python -m test -v -m test_iterparse test_xml_etree
...
Warning -- files was modified by test_xml_etree
  Before: []
  After:  ['@test_18721_tmp'] 
test_xml_etree failed (env changed)
msg318576 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 17:56
New changeset 13f51d9eec569e08475390e2a8f49f4afed1ea06 by Serhiy Storchaka in branch 'master':
bpo-33761: Fix a file leak in test_iterparse in test_xml_etree. (GH-7358)
https://github.com/python/cpython/commit/13f51d9eec569e08475390e2a8f49f4afed1ea06
msg318579 - (view) Author: miss-islington (miss-islington) Date: 2018-06-03 19:02
New changeset 2332fedb8d7037172946520bb1a552c7018261d5 by Miss Islington (bot) in branch '3.7':
bpo-33761: Fix a file leak in test_iterparse in test_xml_etree. (GH-7358)
https://github.com/python/cpython/commit/2332fedb8d7037172946520bb1a552c7018261d5
msg318681 - (view) Author: miss-islington (miss-islington) Date: 2018-06-04 17:22
New changeset a7de1483c28eb818135a8c9a2e414e3a1d0fe648 by Miss Islington (bot) in branch '3.6':
bpo-33761: Fix a file leak in test_iterparse in test_xml_etree. (GH-7358)
https://github.com/python/cpython/commit/a7de1483c28eb818135a8c9a2e414e3a1d0fe648
History
Date User Action Args
2018-06-05 16:54:19serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-04 17:22:20miss-islingtonsetmessages: + msg318681
2018-06-03 20:05:55miss-islingtonsetpull_requests: + pull_request6990
2018-06-03 19:02:23miss-islingtonsetnosy: + miss-islington
messages: + msg318579
2018-06-03 17:58:02miss-islingtonsetpull_requests: + pull_request6987
2018-06-03 17:57:16miss-islingtonsetpull_requests: + pull_request6986
2018-06-03 17:56:57serhiy.storchakasetmessages: + msg318576
2018-06-03 17:09:28serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request6985
2018-06-03 16:15:22serhiy.storchakacreate